Package com.collabnet.ce.soap60.webservices.tracker

# Class ArtifactDependencySoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.tracker.ArtifactDependencySoapRow

public class ArtifactDependencySoapRow extends Object
ArtifactDependencySoapList class represents a list of artifact dependencies.
Change History
Release: 6.1

- Added tracker icon.

Since:
  4.4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArtifactDependencySoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns 'description'.
  `boolean`
  `getHasViewPermission()`
  Returns 'hasViewPermission'.
  `String`
  `getOriginId()`
  Returns 'originId'.
  `String`
  `getOriginStatus()`
  Returns 'originStatus'.
  `String`
  `getOriginStatusClass()`
  Returns 'originStatusClass'.
  `String`
  `getOriginTitle()`
  Returns 'originTitle'.
  `String`
  `getTargetId()`
  Returns 'targetId'.
  `String`
  `getTargetStatus()`
  Returns 'targetStatus'.
  `String`
  `getTargetStatusClass()`
  Returns 'targetStatusClass'.
  `String`
  `getTargetTitle()`
  Returns 'targetTitle'.
  `String`
  `getTrackerIcon()`
  Returns 'trackerIcon'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setHasViewPermission(boolean hasViewPermission)`
  Sets 'hasViewPermission'.
  `void`
  `setOriginId(String originId)`
  Sets 'originId'.
  `void`
  `setOriginStatus(String originStatus)`
  Sets 'originStatus'.
  `void`
  `setOriginStatusClass(String originStatusClass)`
  Sets 'originStatusClass'.
  `void`
  `setOriginTitle(String originTitle)`
  Sets 'originTitle'.
  `void`
  `setTargetId(String targetId)`
  Sets 'targetId'.
  `void`
  `setTargetStatus(String targetStatus)`
  Sets 'targetStatus'.
  `void`
  `setTargetStatusClass(String targetStatusClass)`
  Sets 'targetStatusClass'.
  `void`
  `setTargetTitle(String targetTitle)`
  Sets 'targetTitle'.
  `void`
  `setTrackerIcon(String trackerIcon)`
  Sets 'trackerIcon'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArtifactDependencySoapRow

    public ArtifactDependencySoapRow()

- ## Method Details

  - ### getOriginId

    public String getOriginId()
    Returns 'originId'. Id of the origin artifact
    Returns:
      Value of 'originId'.

  - ### setOriginId

    public void setOriginId(String originId)
    Sets 'originId'. Id of the origin artifact
    Parameters:
      `originId` - Value of 'originId'.

  - ### getOriginTitle

    public String getOriginTitle()
    Returns 'originTitle'. Title of the origin artifact
    Returns:
      Value of 'originTitle'.

  - ### setOriginTitle

    public void setOriginTitle(String originTitle)
    Sets 'originTitle'. Title of the origin artifact
    Parameters:
      `originTitle` - Value of 'originTitle'.

  - ### getTargetId

    public String getTargetId()
    Returns 'targetId'. Id of the target artifact
    Returns:
      Value of 'targetId'.

  - ### setTargetId

    public void setTargetId(String targetId)
    Sets 'targetId'. Id of the target artifact
    Parameters:
      `targetId` - Value of 'targetId'.

  - ### getTargetTitle

    public String getTargetTitle()
    Returns 'targetTitle'. Title of the target artifact
    Returns:
      Value of 'targetTitle'.

  - ### setTargetTitle

    public void setTargetTitle(String targetTitle)
    Sets 'targetTitle'. Title of the target artifact
    Parameters:
      `targetTitle` - Value of 'targetTitle'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. Description of the dependency
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. Description of the dependency
    Parameters:
      `description` - Value of 'description'.

  - ### getOriginStatus

    public String getOriginStatus()
    Returns 'originStatus'.
    Returns:
      Value of 'originStatus'.

  - ### setOriginStatus

    public void setOriginStatus(String originStatus)
    Sets 'originStatus'.
    Parameters:
      `originStatus` - Value of 'originStatus'.

  - ### getTargetStatus

    public String getTargetStatus()
    Returns 'targetStatus'.
    Returns:
      Value of 'targetStatus'.

  - ### setTargetStatus

    public void setTargetStatus(String targetStatus)
    Sets 'targetStatus'.
    Parameters:
      `targetStatus` - Value of 'targetStatus'.

  - ### getOriginStatusClass

    public String getOriginStatusClass()
    Returns 'originStatusClass'.
    Returns:
      Value of 'originStatusClass'.

  - ### setOriginStatusClass

    public void setOriginStatusClass(String originStatusClass)
    Sets 'originStatusClass'.
    Parameters:
      `originStatusClass` - Value of 'originStatusClass'.

  - ### getTargetStatusClass

    public String getTargetStatusClass()
    Returns 'targetStatusClass'.
    Returns:
      Value of 'targetStatusClass'.

  - ### setTargetStatusClass

    public void setTargetStatusClass(String targetStatusClass)
    Sets 'targetStatusClass'.
    Parameters:
      `targetStatusClass` - Value of 'targetStatusClass'.

  - ### getHasViewPermission

    public boolean getHasViewPermission()
    Returns 'hasViewPermission'. If current user has view permission to this dependency
    Returns:
      Value of 'hasViewPermission'.

  - ### setHasViewPermission

    public void setHasViewPermission(boolean hasViewPermission)
    Sets 'hasViewPermission'. If current user has view permission to this dependency
    Parameters:
      `hasViewPermission` - Value of 'hasViewPermission'.

  - ### getTrackerIcon

    public String getTrackerIcon()
    Returns 'trackerIcon'. The tracker icon
    Returns:
      Value of 'trackerIcon'.

  - ### setTrackerIcon

    public void setTrackerIcon(String trackerIcon)
    Sets 'trackerIcon'. The tracker icon
    Parameters:
      `trackerIcon` - Value of 'trackerIcon'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)